@charset "utf-8";

/* CSS Document -------------
/* Last up date: 2024.06.07
/* Last up date user: yamaguchi
/* Shiryou BOX
--------------------------*/
/* Read Text */
.defoForm .readTxt {
  position: relative;
  margin: 0 auto 30px;
  padding: 0 55px 0 5px;
  max-width: 360px;
  min-height: 100px;
}

.defoForm .readTxt .text{
  display: grid;
  gap: 7px;
  padding: 30px 30px 30px 15px;
  background: url('../../../img/page/box/bg_txt_read.svg') center / 100% 100% no-repeat;
}

.defoForm .readTxt .text img {
  height: 15px;
  width: auto;
}

.defoForm .readTxt .person {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 60px;
  aspect-ratio: 74 / 117;
}

.defoForm .readTxt .person img{
  width: 100%;
}

@media screen and (min-width: 769px) {
  .defoForm .readTxt {
    padding-right: 80px;
    max-width: 700px;
    min-height: 120px;
  }

  .defoForm .readTxt .person {
    width: 80px;
  }

  .defoForm .readTxt .text{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px 7px;
    background-image: url('../../../img/page/box/bg_txt_read_pc.svg');
  }

  .defoForm .readTxt .text img {
    height: 20px;
  }
}

/* campaign alert */
.defoForm .campaignAlert{
  margin: 0 auto 30px;
  width: calc(100% - 30px);
  max-width: 800px;
}

.defoForm .campaignAlert .inner{
  display: grid;
  gap: 15px;
  justify-content: center;
  margin: 0 auto 30px;
  padding: 0 10px 10px;
  border: solid 10px rgb(var(--naviEmerald));
  border-radius: 1.5rem;
  box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.15);
}

.defoForm .campaignAlert *{
  font-weight: bold;
}

.defoForm .campaignAlert hgroup{
  text-align: center;
}

.defoForm .campaignAlert hgroup p{
  margin: 0 auto 10px;
  padding: 5px 15px;
  width: fit-content;
  color: #fff;
  background: rgb(var(--naviEmerald));
  border-radius: 0 0 1rem 1rem;
  font-size: 1.6rem;
}

.defoForm .campaignAlert h2{
  font-size: 2rem;
  line-height: 1.2;
}

.defoForm .campaignAlert h2 span{
  display: inline-block;
}

.defoForm .campaignAlert .selectedNum{
  display: grid;
  grid-auto-flow: column; 
  grid-template-columns: 1fr 2fr;
  align-items: center;
  gap: 15px;
  padding: 5px 0;
  border: solid 2px rgb(var(--naviEmerald));
}

.defoForm .campaignAlert h3{
  display: grid;
  place-content: center;
  position: relative;
  padding: 5px;
  height: 100%;
  color: rgb(var(--naviEmerald));
}

.defoForm .campaignAlert h3::before {
  content: '';
  top: 0;
  right: 0;
  width: 2px;
  height: 100%;
  background: rgb(var(--naviEmerald));
}

.defoForm .campaignAlert .selectedNum p{
  font-size: 1.6rem;
  line-height: 1.4;
}

.defoForm .campaignAlert .selectedNum .num{
  font-size: 140%;
}

.defoForm .campaignAlert .txt{
  position: relative;
  margin: 0 auto;
  padding: 0 0 0 1.75em;
  background: url('../../../img/module/layout/icn_megahon.svg') left top / auto 1.2em no-repeat;
  font-size: 1.3rem;
  line-height: 1.4;
  font-weight: bold;
}

.defoForm .campaignAlert .compNum{
  padding: 15px 5px;
  background: rgb(var(--naviCream));
  font-size: 1.5rem;
  line-height: 1.4;
  text-align: center;
}

.defoForm .campaignAlert .changeLink{
  margin: 0 auto 30px;
  text-align: right;
}

.defoForm .campaignAlert .changeLink a{
  text-decoration: underline;
  font-size: 1.3rem;
}


.defoForm .orderList {
  padding: 0 15px 30px;
  container: orderListBox / inline-size;
}

.defoForm .orderList table {
  margin: 0 auto 15px;
  width: 100%;
  max-width: 700px;
  background: #fdf7c3;
  border-radius: 1.5rem;
}

.defoForm .orderList tr:nth-child(even) {
  background: #fefbe1;
}

.defoForm .orderList th,
.defoForm .orderList td {
  padding: 5px 10px;
  line-height: 1.2;
  font-size: 1.3rem;
  vertical-align: middle;
}

.defoForm .orderList td {
  padding: 5px 0 5px 10px;
}

.defoForm .orderList td:last-child {
  padding-right: 10px;
  width: 6em;
}

.defoForm .orderList th {
  position: relative;
  padding-left: 10px;
  width: 5em;
  font-weight: bold;
  color: rgb(var(--naviKoiBlue));
  text-align: right;
  font-size: 1.2rem;
}

.defoForm .orderList th::before {
  content: '';
  top: 20%;
  right: 0;
  width: 2px;
  height: 60%;
  background: rgb(var(--naviKoiBlue));
}

.defoForm .orderList .scName {
  display: block;
  font-weight: bold;
}

.defoForm .orderList .scMemo {
  display: block;
  font-size: 1.2rem;
}

.defoForm .orderList tr:first-child th,
.defoForm .orderList tr:first-child td {
  padding-top: 10px;
}

.defoForm .orderList tr:first-child th::before {
  top: calc(20% + 5px);
  height: calc(60% - 5px);
}

.defoForm .orderList tr:last-child th,
.defoForm .orderList tr:last-child td {
  padding-bottom: 10px;
}

.defoForm .orderList tr:last-child th::before {
  top: auto;
  bottom: calc(20% + 5px);
  height: calc(60% - 5px);
}

.defoForm .orderList tr:last-child th {
  border-radius: 0 0 0 1.5rem;
}

.defoForm .orderList tr:last-child td:last-child {
  border-radius: 0 0 1.5rem 0;
}

.defoForm .orderList .price {
  text-align: center;
}

.defoForm .orderList .tall {
  color: #e60033;
  font-weight: bold;
}

.defoForm .orderList .total {
  margin: 0 auto;
  text-align: center;
  font-weight: bold;
  font-size: 2rem;
}

.defoForm .orderList .coution {
  margin: 0 auto 10px;
}


/* Campaign Books */
.defoForm .cpBooks{
  container: cpBooksBox / inline-size;
}

.defoForm .cpBooks.notLogin{
  pointer-events: none;
  opacity: 0.5;
}

.defoForm .cpBooks .cpBooksTtl {
  margin: 0 auto 15px;
  padding: 0 15px;
  width: fit-content;
}

.defoForm .cpBooks .cpBooksTtl .person{
  display: none;
}

.defoForm .cpBooks h2 {
  display: inline;
  color: rgb(var(--naviKoiBlue));
  font-size: 2rem;
  line-height: 1.4;
}

.defoForm .cpBooks h2+p {
  display: inline;
  color: rgb(var(--naviKoiBlue));
  font-weight: bold;
  line-height: 1.4;
}

.defoForm .cpBookList{
  margin: 0 auto 20px;
  width: 100%;
}

.defoForm .cpBookList>li {
  position: relative;
}

.defoForm .cpBookList>li::before,
.defoForm .cpBookList h3::before {
  content: '';
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background: #fff;
}

.defoForm .cpBookList h3 {
  position: relative;
  cursor: pointer;
  margin: 0;
  width: 100%;
}

.defoForm .cpBookList h3 span {
  position: relative;
  display: grid;
  align-content: center;
  padding: 15px 50px 15px 15px;
  min-height: 50px;
  color: rgb(var(--naviKoiBlue));
  font-size: 1.6rem;
  transition: all 0.15s 0s linear;
}

.defoForm .cpBookList h3 span::before,
.defoForm .cpBookList h3 span::after {
  content: '';
  top: 50%;
  right: 5px;
  width: 25px;
  height: 5px;
  background: rgb(var(--naviKoiBlue));
  transform: translate(0, -50%);
}

.defoForm .cpBookList h3 span::after {
  transform: translate(0, -50%) rotate(90deg);
  transform-origin: center;
  transition: all 0.15s 0s linear;
}

.defoForm .cpBookList .open h3{
  background: #fff;
}

.defoForm .cpBookList .open h3 span::after {
  opacity: 0;
  transform: translate(0, -50%) rotate(180deg);
}

.defoForm .cpBookList > li:has(input:checked) h3 span{
  padding-left: 20px;
}

.defoForm .cpBookList > li:has(input:checked) h3::after {
  content: '';
  top: 50%;
  left: -5px;
  width: 14px;
  height: 21px;
  border-right: solid 5px rgb(var(--naviKoiBlue));
  border-bottom: solid 5px rgb(var(--naviKoiBlue));
  transform: translate(0, -65%) rotate(40deg);
  filter: drop-shadow(2px 2px 0 rgba(0, 0, 0, 0.2));
}


.defoForm .cpBookList .cpBookTxt {
  position: relative;
  margin: 10px auto 5px;
  padding: 10px;
  width: calc(100% - 10px);
  max-width: 700px;
  background: #fff;
  border-radius: 1.5rem;
  line-height: 1.4;
  font-size: 1.3rem;
  font-weight: bold;
  display: none;
}

.defoForm .cpBookList .cpBookTxt::after {
  content: '';
  top: 100%;
  left: 50%;
  height: 13px;
  width: 20px;
  background: inherit;
  clip-path: polygon(0 0, 50% 100%, 100% 0);
  transform: translate(-50%, 0);
}

.defoForm .cpBookDetail {
  display: grid;
  grid-template-rows: 0fr;

  transition: all 0.15s 0s ease-out;
}

.defoForm .open .cpBookDetail{
  grid-template-rows: 1fr;
}

.defoForm .open .cpBookTxt{
  display: block;
}

.defoForm .cpBookDetail ol {
  position: relative;
  display: flex;
  justify-content: center;
  max-width: 900px;
  overflow-y: hidden;
  overflow-x: auto;
  scroll-behavior: smooth;
}

.defoForm .open .cpBookDetail ol{
  margin: 0 0 15px;
  padding: 15px 0;
}

.defoForm .cpBookDetail ol:has(li:nth-child(2)){
  justify-content: flex-start;
}

.defoForm .cpBookDetail ol::-webkit-scrollbar {
  height: 1.8rem;
}
  
.defoForm .cpBookDetail ol::-webkit-scrollbar-track {
  background: #ccc;
  border: 5px solid #d8f3ff;
  border-radius: 1.8rem;
}
  
.defoForm .cpBookDetail ol::-webkit-scrollbar-thumb {
  background: #fff;
  border-radius: 1.8rem;
  border: 2px solid rgb(var(--naviKoiBlue));
  box-shadow: 2px 0 2px 0 rgba(0, 0, 0, 0.25);
  background-clip: padding-box;
}

.defoForm .cpBookDetail ol li {
  position: relative;
  flex-shrink: 0;
  width: 100%;
  max-width: 500px;
}

.defoForm .cpBookDetail ol:has(li:nth-child(2)) li{
  width: 230px;
}

.defoForm .cpBookDetail ol li:last-child:before {
  content: none;
}

.defoForm .cpBookDetail input {
  display: none;
}

.defoForm .cpBookDetail label {
  display: grid;
  justify-items: center;
  grid-template-rows: 198px auto auto;
  gap: 10px;
  padding: 30px 15px 20px;
  height: 100%;
  border-radius: 1rem;
}

.defoForm .cpBookDetail figure {
  position: relative;
  align-self: flex-start;
  width: 140px;
  aspect-ratio: 70 / 99;
}

.defoForm .cpBookDetail label figure::before {
  content: '';
  z-index: 2;
  top: -15px;
  left: -15px;
  width: 40px;
  height: 40px;
  background: #fff;
  border-radius: 0.5rem;
  transform: translate(0, 0);
  transition: all 0.2s 0s linear;
}

.defoForm .cpBookDetail label figure::after {
  content: '';
  z-index: 3;
  top: -12px;
  left: -7px;
  width: 24px;
  height: 34px;
  border-right: solid 8px #fff;
  border-bottom: solid 8px #fff;
  transform: translate(0, -15%) rotate(40deg) scale(0);
  filter: drop-shadow(3px 3px 0 rgba(0, 0, 0, 0.25));
  opacity: 0;
  transform-origin: center;
  transition: all 0.1s 0s linear;
}

.defoForm .cpBookDetail input:focus+label figure::before {
  box-shadow: 0 0 0 2px rgb(var(--naviKoiBlue)) inset;
}

.defoForm .cpBookDetail input:checked+label {
  background: #fdf7c3;
}

.defoForm .cpBookDetail input:checked+label figure::before {
  background: rgb(var(--naviKoiBlue));
}

.defoForm .cpBookDetail input:checked+label figure::after {
  opacity: 1;
  transform: translate(0, -15%) rotate(40deg) scale(1);
}

.defoForm .cpBookDetail figure img {
  position: relative;
  z-index: 1;
  width: 100%;
  box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.2);
}

.defoForm .cpBookDetail h4 {
  display: grid;
  justify-content: center;
  margin: 0;
  padding: 0;
  border: none;
  text-align: left;
  font-size: 1.5rem;
  line-height: 1.2;
  color: #333;
}

.defoForm .cpBookDetail p {
  line-height: 1.4;
  font-size: 1.3rem;
}

.defoForm .cpBookList+ p {
  padding-left: 15px;
}

.defoForm .prezent .errMsg{
  margin: 0 auto;
  width: fit-content;
}

.defoForm .prezent .errMsg:not(.hide) {
  margin-bottom: 15px;
}


@container orderListBox (width >= 700px) {
  .defoForm .orderList table {
    margin: 0 auto 30px;
  }

  .defoForm .orderList th,
  .defoForm .orderList td {
    padding: 10px;
  }

  .defoForm .orderList td:last-child {
    padding-right: 15px;
  }

  .defoForm .orderList th {
    padding-left: 15px;
    width: 7em;
  }

  .defoForm .orderList th span {
    padding-left: 25px;
  }

  .defoForm .orderList th span::before {
    width: 13px;
  }

  .defoForm .orderList tr:first-child th,
  .defoForm .orderList tr:first-child td {
    padding-top: 15px;
  }

  .defoForm .orderList tr:last-child th,
  .defoForm .orderList tr:last-child td {
    padding-bottom: 15px;
  }
}

@container cpBooksBox (width >= 700px) {
  .defoForm .cpBooks .cpBooksTtl{
    width: fit-content;
    max-width: 830px;
  }

  .defoForm .cpBooks h2 {
    font-size: 2.4rem;
  }

  .defoForm .cpBookList h3 span::before,
  .defoForm .cpBookList h3 span::after {
    right: 30px;
    width: 30px;
  }

  .defoForm .cpBookDetail ol:has(li:nth-child(2)) li{
    width: 300px;
  }

  .defoForm .cpBookList .cpBookTxt {
    margin: 30px auto 5px;
  }

  .defoForm .cpBookDetail label{
    padding: 30px 20px 20px;
  }

  .defoForm .dfCol.prezent {
    grid-template-columns: auto;
    padding: 20px 15px;
  }
}

@container cpBooksBox (width >= 900px) {
  .defoForm .cpBooks .cpBooksTtl {
    position: relative;
    padding: 0 90px 0 0;
  }

  .defoForm .cpBooks .cpBooksTtl .person{
    display: block;
    z-index: 2;
    position: absolute;
    bottom: -20px;
    right: 0;
    width: 80px;
    aspect-ratio: 16 / 17;
  }
  
  .defoForm .cpBooks .cpBooksTtl .person img{
    width: 100%;
  }
}

@media (hover: hover) {
  .defoForm .cpBookDetail label,
  .defoForm .cpBookDetail label img,
  .defoForm .cpBookList h3{
    transition: all 0.1s 0s linear;
  }

  .defoForm .cpBookList h3:hover{
    background: #fff;
  }

  .defoForm .cpBookDetail label:hover img{
    transform: translate(0, -10px);
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.3);
  }

  .defoForm .cpBookDetail label:hover figure::before{
    box-shadow: 0 0 0 2px rgb(var(--naviKoiBlue)) inset;
  }

  .defoForm .cpBookDetail label:hover h4,
  .defoForm .cpBookDetail label:hover p{
    color: rgb(var(--naviKoiBlue));
  }
}